<ion-view title="Crear Conferencista" ng-controller="speakerAddCtrl as ctrl">
  <div class="container" style="padding-top: 60px;">
    <div class="row">
      <div class="col-sm-12">
        <form class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">First name:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" ng-model="ctrl.formData.general.name" placeholder="Jhon">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Last name:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" ng-model="ctrl.formData.general.lastname" placeholder="Doe">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Twitter:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" ng-model="ctrl.formData.general.twitter" placeholder="@JhonDoe">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">LinkedIn:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" ng-model="ctrl.formData.general.linkedin" placeholder="profile url">
            </div>
          </div>
          
          <div class="form-group">
            <label class="col-sm-2 control-label">Link:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" ng-model="ctrl.formData.general.link" placeholder="profile url">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Description:</label>
            <div class="col-sm-10">
              <text-angular ng-model="ctrl.formData.general.description"></text-angular>
            </div>
          </div>

          <!-- upload image -->
          <div class="form-group">
            <label class="col-sm-2 control-label">Profile image:</label>
            <div class="col-sm-6">
              <img ng-src="{{ctrl.formData.general.photo}}" class="img-thumbnail" ng-if="ctrl.formData.general.photo">

              <button type="button" class="btn btn-success"
                      ngf-select ngf-change="ctrl.image($files)" ngf-multiple="false">
                Upload Image
              </button>
              <button type="button" class="btn btn-danger"
                      ng-if="ctrl.formData.general.photo"
                      ng-click="ctrl.deleteImg()">
                Delete Image
              </button>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
              <hr>
              <button type="submit" class="btn btn-success" ng-click="ctrl.add()">Create Speaker</button>
            </div>
          </div>

        </form><!-- /form -->

      </div><!-- /.col-sm-12 -->
    </div><!-- row -->
  </div><!-- container -->
</ion-view>
